Errors at installing rgdal on Debian Buster

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
14 messages Options
Reply | Threaded
Open this post in threaded view
|

Errors at installing rgdal on Debian Buster

Agustin Lobo
I get lots of errors at installing rgdal on a recently upgraded machine to
Debian Buster and R3.3.3
There are so many errors that I cannot scroll up enough as to get where
the errors actually start and report.
Is there any way to save the output of install.packages("rgdal") ?

Any other reports on problems installing rgdal on Debian Buster ?

Thanks
Agus

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Roger Bivand
Administrator
Please use the command line: R CMD INSTALL <tarball>  and pipe the output (tee) 2>&1 to a file. Please do not post the file, read it to find the root cause. Almost certainly the installed GDAL ha different assumptions about the g++ compiler than R itself, so you may need to install GDAL and R from source. There have been unclear reports of issues with -std=.

Hope this helps,

Roger

Roger Bivand
Norwegian School of Economics
Bergen, Norway



Fra: Agustin Lobo
Sendt: fredag 8. september, 14.49
Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
Til: r-sig-geo


I get lots of errors at installing rgdal on a recently upgraded machine to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up enough as to get where the errors actually start and report. Is there any way to save the output of install.packages("rgdal") ? Any other reports on problems installing rgdal on Debian Buster ? Thanks Agus _______________________________________________ R-sig-Geo mailing list [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo


        [[alternative HTML version deleted]]

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Agustin Lobo
Thanks,

As indicated, I do:
$ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log

The whole output is here:
https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU

The problem starts at:

configure: PROJ.4 version: 4.8.0
./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
checking PROJ.4: epsg found and readable... yes
./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
checking PROJ.4: conus found and readable... yes
configure: Package CPP flags:  -I/usr/include/gdal
configure: Package LIBS:  -L/usr/lib -lgdal -lproj
configure: creating ./config.status
config.status: creating src/Makevars
** libs
g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
-I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
-O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
-fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
-D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
In file included from /usr/include/gdal/ogr_feature.h:35:0,
                 from /usr/include/gdal/ogrsf_frmts.h:35,
                 from OGR_write.cpp:2:
/usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
controls (override/final) only available with -std=c++11 or
-std=gnu++11
     GBool Parse() CPL_OVERRIDE;

I'm totally clueless...

Agus

On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]> wrote:

> Please use the command line: R CMD INSTALL <tarball>  and pipe the output (tee) 2>&1 to a file. Please do not post the file, read it to find the root cause. Almost certainly the installed GDAL ha different assumptions about the g++ compiler than R itself, so you may need to install GDAL and R from source. There have been unclear reports of issues with -std=.
>
> Hope this helps,
>
> Roger
>
> Roger Bivand
> Norwegian School of Economics
> Bergen, Norway
>
>
>
> Fra: Agustin Lobo
> Sendt: fredag 8. september, 14.49
> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
> Til: r-sig-geo
>
>
> I get lots of errors at installing rgdal on a recently upgraded machine to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up enough as to get where the errors actually start and report. Is there any way to save the output of install.packages("rgdal") ? Any other reports on problems installing rgdal on Debian Buster ? Thanks Agus _______________________________________________ R-sig-Geo mailing list [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
>
>         [[alternative HTML version deleted]]
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

edzer
How did you install gdal and proj on that machine?

On 12/09/17 09:10, Agustin Lobo wrote:

> Thanks,
>
> As indicated, I do:
> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>
> The whole output is here:
> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>
> The problem starts at:
>
> configure: PROJ.4 version: 4.8.0
> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
> checking PROJ.4: epsg found and readable... yes
> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
> checking PROJ.4: conus found and readable... yes
> configure: Package CPP flags:  -I/usr/include/gdal
> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
> configure: creating ./config.status
> config.status: creating src/Makevars
> ** libs
> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>                  from OGR_write.cpp:2:
> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
> controls (override/final) only available with -std=c++11 or
> -std=gnu++11
>      GBool Parse() CPL_OVERRIDE;
>
> I'm totally clueless...
>
> Agus
>
> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]> wrote:
>> Please use the command line: R CMD INSTALL <tarball>  and pipe the output (tee) 2>&1 to a file. Please do not post the file, read it to find the root cause. Almost certainly the installed GDAL ha different assumptions about the g++ compiler than R itself, so you may need to install GDAL and R from source. There have been unclear reports of issues with -std=.
>>
>> Hope this helps,
>>
>> Roger
>>
>> Roger Bivand
>> Norwegian School of Economics
>> Bergen, Norway
>>
>>
>>
>> Fra: Agustin Lobo
>> Sendt: fredag 8. september, 14.49
>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>> Til: r-sig-geo
>>
>>
>> I get lots of errors at installing rgdal on a recently upgraded machine to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up enough as to get where the errors actually start and report. Is there any way to save the output of install.packages("rgdal") ? Any other reports on problems installing rgdal on Debian Buster ? Thanks Agus _______________________________________________ R-sig-Geo mailing list [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>>
>>         [[alternative HTML version deleted]]
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
--
Edzer Pebesma
Institute for Geoinformatics  (ifgi),  University of Münster
Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
Journal of Statistical Software:   http://www.jstatsoft.org/
Computers & Geosciences:   http://elsevier.com/locate/cageo/


_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo

signature.asc (484 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Agustin Lobo
Using Synaptic.
I just tested with a live usb with Debian Stretch, and with stretch
rgdal installs with no problems (after installing gdal-bin, gdal-dev
and dependencies) .
Agus

On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
<[hidden email]> wrote:

> How did you install gdal and proj on that machine?
>
> On 12/09/17 09:10, Agustin Lobo wrote:
>> Thanks,
>>
>> As indicated, I do:
>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>
>> The whole output is here:
>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>
>> The problem starts at:
>>
>> configure: PROJ.4 version: 4.8.0
>> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
>> checking PROJ.4: epsg found and readable... yes
>> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
>> checking PROJ.4: conus found and readable... yes
>> configure: Package CPP flags:  -I/usr/include/gdal
>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>> configure: creating ./config.status
>> config.status: creating src/Makevars
>> ** libs
>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>                  from OGR_write.cpp:2:
>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>> controls (override/final) only available with -std=c++11 or
>> -std=gnu++11
>>      GBool Parse() CPL_OVERRIDE;
>>
>> I'm totally clueless...
>>
>> Agus
>>
>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]> wrote:
>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the output (tee) 2>&1 to a file. Please do not post the file, read it to find the root cause. Almost certainly the installed GDAL ha different assumptions about the g++ compiler than R itself, so you may need to install GDAL and R from source. There have been unclear reports of issues with -std=.
>>>
>>> Hope this helps,
>>>
>>> Roger
>>>
>>> Roger Bivand
>>> Norwegian School of Economics
>>> Bergen, Norway
>>>
>>>
>>>
>>> Fra: Agustin Lobo
>>> Sendt: fredag 8. september, 14.49
>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>> Til: r-sig-geo
>>>
>>>
>>> I get lots of errors at installing rgdal on a recently upgraded machine to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up enough as to get where the errors actually start and report. Is there any way to save the output of install.packages("rgdal") ? Any other reports on problems installing rgdal on Debian Buster ? Thanks Agus _______________________________________________ R-sig-Geo mailing list [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>>
>>>         [[alternative HTML version deleted]]
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>
> --
> Edzer Pebesma
> Institute for Geoinformatics  (ifgi),  University of Münster
> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
> Journal of Statistical Software:   http://www.jstatsoft.org/
> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Roger Bivand
Administrator
My guess is that your g++ is being used differently to build R and GDAL
(seen before off-list in August). If you install PROJ, GDAL and R from
source on your platform, they will (most likely) match. It looks as though
R was not built with -std=c++11 or -std=gnu++11. On your current platform,
you almost certainly have a more modern g++, and your R should be built
with this for packages using C++. Do you know where synaptic is getting
its binaries?

Roger

On Tue, 12 Sep 2017, Agustin Lobo wrote:

> Using Synaptic.
> I just tested with a live usb with Debian Stretch, and with stretch
> rgdal installs with no problems (after installing gdal-bin, gdal-dev
> and dependencies) .
> Agus
>
> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
> <[hidden email]> wrote:
>> How did you install gdal and proj on that machine?
>>
>> On 12/09/17 09:10, Agustin Lobo wrote:
>>> Thanks,
>>>
>>> As indicated, I do:
>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>
>>> The whole output is here:
>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>
>>> The problem starts at:
>>>
>>> configure: PROJ.4 version: 4.8.0
>>> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
>>> checking PROJ.4: epsg found and readable... yes
>>> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
>>> checking PROJ.4: conus found and readable... yes
>>> configure: Package CPP flags:  -I/usr/include/gdal
>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>> configure: creating ./config.status
>>> config.status: creating src/Makevars
>>> ** libs
>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>                  from OGR_write.cpp:2:
>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>> controls (override/final) only available with -std=c++11 or
>>> -std=gnu++11
>>>      GBool Parse() CPL_OVERRIDE;
>>>
>>> I'm totally clueless...
>>>
>>> Agus
>>>
>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]> wrote:
>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the output (tee) 2>&1 to a file. Please do not post the file, read it to find the root cause. Almost certainly the installed GDAL ha different assumptions about the g++ compiler than R itself, so you may need to install GDAL and R from source. There have been unclear reports of issues with -std=.
>>>>
>>>> Hope this helps,
>>>>
>>>> Roger
>>>>
>>>> Roger Bivand
>>>> Norwegian School of Economics
>>>> Bergen, Norway
>>>>
>>>>
>>>>
>>>> Fra: Agustin Lobo
>>>> Sendt: fredag 8. september, 14.49
>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>> Til: r-sig-geo
>>>>
>>>>
>>>> I get lots of errors at installing rgdal on a recently upgraded machine to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up enough as to get where the errors actually start and report. Is there any way to save the output of install.packages("rgdal") ? Any other reports on problems installing rgdal on Debian Buster ? Thanks Agus _______________________________________________ R-sig-Geo mailing list [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>>
>>>>         [[alternative HTML version deleted]]
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>
>> --
>> Edzer Pebesma
>> Institute for Geoinformatics  (ifgi),  University of Münster
>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>> Journal of Statistical Software:   http://www.jstatsoft.org/
>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
--
Roger Bivand
Department of Economics, Norwegian School of Economics,
Helleveien 30, N-5045 Bergen, Norway.
voice: +47 55 95 93 55; e-mail: [hidden email]
Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
http://orcid.org/0000-0003-2392-6140
https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Agustin Lobo
I assume that from the repos I have defined, this is an standard installation:
deb http://ftp.de.debian.org/debian/ testing main
deb-src http://ftp.de.debian.org/debian/ testing main
deb http://ftp.de.debian.org/debian/ testing-updates main
deb-src http://ftp.de.debian.org/debian/ testing-updates main
deb ftp://security.debian.org/debian-security testing/updates main
deb-src ftp://security.debian.org/debian-security testing/updates main

deb http://deb.debian.org/debian/ testing non-free contrib main
deb-src http://deb.debian.org/debian/ testing non-free contrib main
deb http://deb.debian.org/debian/ testing-updates non-free contrib main
deb-src http://deb.debian.org/debian/ testing-updates non-free contrib main

Also:
alobo@debi:~$ dpkg -s gdal-bin
Package: gdal-bin
Status: install ok installed
Priority: optional
Section: science
Installed-Size: 724
Maintainer: Debian GIS Project <[hidden email]>
Architecture: i386
Source: gdal (2.2.1+dfsg-2)
Version: 2.2.1+dfsg-2+b2
Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
Suggests: libgdal-grass, python-gdal
Breaks: gdal-bin (<< 1.10.0-0~)

alobo@debi:~$ dpkg -s libgdal-dev
Package: libgdal-dev
Status: install ok installed
Priority: optional
Section: libdevel
Installed-Size: 32633
Maintainer: Debian GIS Project <[hidden email]>
Architecture: i386
Source: gdal (2.2.1+dfsg-2)
Version: 2.2.1+dfsg-2+b2
Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
libxerces-c-dev, libxml2-dev, unixodbc-dev
Suggests: libgdal-doc

I've contacted [hidden email]

Agus

On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]> wrote:

> My guess is that your g++ is being used differently to build R and GDAL
> (seen before off-list in August). If you install PROJ, GDAL and R from
> source on your platform, they will (most likely) match. It looks as though R
> was not built with -std=c++11 or -std=gnu++11. On your current platform, you
> almost certainly have a more modern g++, and your R should be built with
> this for packages using C++. Do you know where synaptic is getting its
> binaries?
>
> Roger
>
>
> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>
>> Using Synaptic.
>> I just tested with a live usb with Debian Stretch, and with stretch
>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>> and dependencies) .
>> Agus
>>
>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>> <[hidden email]> wrote:
>>>
>>> How did you install gdal and proj on that machine?
>>>
>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>
>>>> Thanks,
>>>>
>>>> As indicated, I do:
>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>
>>>> The whole output is here:
>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>
>>>> The problem starts at:
>>>>
>>>> configure: PROJ.4 version: 4.8.0
>>>> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
>>>> checking PROJ.4: epsg found and readable... yes
>>>> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
>>>> checking PROJ.4: conus found and readable... yes
>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>> configure: creating ./config.status
>>>> config.status: creating src/Makevars
>>>> ** libs
>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>                  from OGR_write.cpp:2:
>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>> controls (override/final) only available with -std=c++11 or
>>>> -std=gnu++11
>>>>      GBool Parse() CPL_OVERRIDE;
>>>>
>>>> I'm totally clueless...
>>>>
>>>> Agus
>>>>
>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>> wrote:
>>>>>
>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the
>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it to find
>>>>> the root cause. Almost certainly the installed GDAL ha different assumptions
>>>>> about the g++ compiler than R itself, so you may need to install GDAL and R
>>>>> from source. There have been unclear reports of issues with -std=.
>>>>>
>>>>> Hope this helps,
>>>>>
>>>>> Roger
>>>>>
>>>>> Roger Bivand
>>>>> Norwegian School of Economics
>>>>> Bergen, Norway
>>>>>
>>>>>
>>>>>
>>>>> Fra: Agustin Lobo
>>>>> Sendt: fredag 8. september, 14.49
>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>> Til: r-sig-geo
>>>>>
>>>>>
>>>>> I get lots of errors at installing rgdal on a recently upgraded machine
>>>>> to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up
>>>>> enough as to get where the errors actually start and report. Is there any
>>>>> way to save the output of install.packages("rgdal") ? Any other reports on
>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>> _______________________________________________ R-sig-Geo mailing list
>>>>> [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>>
>>>>>         [[alternative HTML version deleted]]
>>>>>
>>>>> _______________________________________________
>>>>> R-sig-Geo mailing list
>>>>> [hidden email]
>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>
>>> --
>>> Edzer Pebesma
>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
>
> --
> Roger Bivand
> Department of Economics, Norwegian School of Economics,
> Helleveien 30, N-5045 Bergen, Norway.
> voice: +47 55 95 93 55; e-mail: [hidden email]
> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
> http://orcid.org/0000-0003-2392-6140
> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Roger Bivand
Administrator
From the entrails, GDAL was built with a CXX11 compiler, but R was very
possibly not, hence the messages. Where did R come from, and was it itself
built for the same Debian version?

Roger


On Tue, 12 Sep 2017, Agustin Lobo wrote:

> I assume that from the repos I have defined, this is an standard installation:
> deb http://ftp.de.debian.org/debian/ testing main
> deb-src http://ftp.de.debian.org/debian/ testing main
> deb http://ftp.de.debian.org/debian/ testing-updates main
> deb-src http://ftp.de.debian.org/debian/ testing-updates main
> deb ftp://security.debian.org/debian-security testing/updates main
> deb-src ftp://security.debian.org/debian-security testing/updates main
>
> deb http://deb.debian.org/debian/ testing non-free contrib main
> deb-src http://deb.debian.org/debian/ testing non-free contrib main
> deb http://deb.debian.org/debian/ testing-updates non-free contrib main
> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib main
>
> Also:
> alobo@debi:~$ dpkg -s gdal-bin
> Package: gdal-bin
> Status: install ok installed
> Priority: optional
> Section: science
> Installed-Size: 724
> Maintainer: Debian GIS Project <[hidden email]>
> Architecture: i386
> Source: gdal (2.2.1+dfsg-2)
> Version: 2.2.1+dfsg-2+b2
> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
> Suggests: libgdal-grass, python-gdal
> Breaks: gdal-bin (<< 1.10.0-0~)
>
> alobo@debi:~$ dpkg -s libgdal-dev
> Package: libgdal-dev
> Status: install ok installed
> Priority: optional
> Section: libdevel
> Installed-Size: 32633
> Maintainer: Debian GIS Project <[hidden email]>
> Architecture: i386
> Source: gdal (2.2.1+dfsg-2)
> Version: 2.2.1+dfsg-2+b2
> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
> libxerces-c-dev, libxml2-dev, unixodbc-dev
> Suggests: libgdal-doc
>
> I've contacted [hidden email]
>
> Agus
>
> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]> wrote:
>> My guess is that your g++ is being used differently to build R and GDAL
>> (seen before off-list in August). If you install PROJ, GDAL and R from
>> source on your platform, they will (most likely) match. It looks as though R
>> was not built with -std=c++11 or -std=gnu++11. On your current platform, you
>> almost certainly have a more modern g++, and your R should be built with
>> this for packages using C++. Do you know where synaptic is getting its
>> binaries?
>>
>> Roger
>>
>>
>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>
>>> Using Synaptic.
>>> I just tested with a live usb with Debian Stretch, and with stretch
>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>> and dependencies) .
>>> Agus
>>>
>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>> <[hidden email]> wrote:
>>>>
>>>> How did you install gdal and proj on that machine?
>>>>
>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>
>>>>> Thanks,
>>>>>
>>>>> As indicated, I do:
>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>
>>>>> The whole output is here:
>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>
>>>>> The problem starts at:
>>>>>
>>>>> configure: PROJ.4 version: 4.8.0
>>>>> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
>>>>> checking PROJ.4: epsg found and readable... yes
>>>>> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
>>>>> checking PROJ.4: conus found and readable... yes
>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>> configure: creating ./config.status
>>>>> config.status: creating src/Makevars
>>>>> ** libs
>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>                  from OGR_write.cpp:2:
>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>> controls (override/final) only available with -std=c++11 or
>>>>> -std=gnu++11
>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>
>>>>> I'm totally clueless...
>>>>>
>>>>> Agus
>>>>>
>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>> wrote:
>>>>>>
>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the
>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it to find
>>>>>> the root cause. Almost certainly the installed GDAL ha different assumptions
>>>>>> about the g++ compiler than R itself, so you may need to install GDAL and R
>>>>>> from source. There have been unclear reports of issues with -std=.
>>>>>>
>>>>>> Hope this helps,
>>>>>>
>>>>>> Roger
>>>>>>
>>>>>> Roger Bivand
>>>>>> Norwegian School of Economics
>>>>>> Bergen, Norway
>>>>>>
>>>>>>
>>>>>>
>>>>>> Fra: Agustin Lobo
>>>>>> Sendt: fredag 8. september, 14.49
>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>> Til: r-sig-geo
>>>>>>
>>>>>>
>>>>>> I get lots of errors at installing rgdal on a recently upgraded machine
>>>>>> to Debian Buster and R3.3.3 There are so many errors that I cannot scroll up
>>>>>> enough as to get where the errors actually start and report. Is there any
>>>>>> way to save the output of install.packages("rgdal") ? Any other reports on
>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>> _______________________________________________ R-sig-Geo mailing list
>>>>>> [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>
>>>>>>
>>>>>>         [[alternative HTML version deleted]]
>>>>>>
>>>>>> _______________________________________________
>>>>>> R-sig-Geo mailing list
>>>>>> [hidden email]
>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> R-sig-Geo mailing list
>>>>> [hidden email]
>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>
>>>> --
>>>> Edzer Pebesma
>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>>
>> --
>> Roger Bivand
>> Department of Economics, Norwegian School of Economics,
>> Helleveien 30, N-5045 Bergen, Norway.
>> voice: +47 55 95 93 55; e-mail: [hidden email]
>> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
>> http://orcid.org/0000-0003-2392-6140
>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
--
Roger Bivand
Department of Economics, Norwegian School of Economics,
Helleveien 30, N-5045 Bergen, Norway.
voice: +47 55 95 93 55; e-mail: [hidden email]
Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
http://orcid.org/0000-0003-2392-6140
https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Agustin Lobo
I just installed r-base through synaptic.
alobo@debi:~$ dpkg -s r-base
Package: r-base
Status: install ok installed
Priority: optional
Section: gnu-r
Installed-Size: 60
Maintainer: Dirk Eddelbuettel <[hidden email]>
Architecture: all
Version: 3.3.3-1
Depends: r-base-core (>= 3.3.3-1), r-recommended (= 3.3.3-1)
Recommends: r-base-html, r-doc-html
Suggests: ess, r-doc-info | r-doc-pdf

I think I'll try to downgrade to stretch...

Agus


On Tue, Sep 12, 2017 at 12:28 PM, Roger Bivand <[hidden email]> wrote:

> From the entrails, GDAL was built with a CXX11 compiler, but R was very
> possibly not, hence the messages. Where did R come from, and was it itself
> built for the same Debian version?
>
>
> Roger
>
>
> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>
>> I assume that from the repos I have defined, this is an standard
>> installation:
>> deb http://ftp.de.debian.org/debian/ testing main
>> deb-src http://ftp.de.debian.org/debian/ testing main
>> deb http://ftp.de.debian.org/debian/ testing-updates main
>> deb-src http://ftp.de.debian.org/debian/ testing-updates main
>> deb ftp://security.debian.org/debian-security testing/updates main
>> deb-src ftp://security.debian.org/debian-security testing/updates main
>>
>> deb http://deb.debian.org/debian/ testing non-free contrib main
>> deb-src http://deb.debian.org/debian/ testing non-free contrib main
>> deb http://deb.debian.org/debian/ testing-updates non-free contrib main
>> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib
>> main
>>
>> Also:
>> alobo@debi:~$ dpkg -s gdal-bin
>> Package: gdal-bin
>> Status: install ok installed
>> Priority: optional
>> Section: science
>> Installed-Size: 724
>> Maintainer: Debian GIS Project <[hidden email]>
>> Architecture: i386
>> Source: gdal (2.2.1+dfsg-2)
>> Version: 2.2.1+dfsg-2+b2
>> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
>> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
>> Suggests: libgdal-grass, python-gdal
>> Breaks: gdal-bin (<< 1.10.0-0~)
>>
>> alobo@debi:~$ dpkg -s libgdal-dev
>> Package: libgdal-dev
>> Status: install ok installed
>> Priority: optional
>> Section: libdevel
>> Installed-Size: 32633
>> Maintainer: Debian GIS Project <[hidden email]>
>> Architecture: i386
>> Source: gdal (2.2.1+dfsg-2)
>> Version: 2.2.1+dfsg-2+b2
>> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
>> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
>> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
>> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
>> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
>> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
>> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
>> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
>> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
>> libxerces-c-dev, libxml2-dev, unixodbc-dev
>> Suggests: libgdal-doc
>>
>> I've contacted [hidden email]
>>
>> Agus
>>
>> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]>
>> wrote:
>>>
>>> My guess is that your g++ is being used differently to build R and GDAL
>>> (seen before off-list in August). If you install PROJ, GDAL and R from
>>> source on your platform, they will (most likely) match. It looks as
>>> though R
>>> was not built with -std=c++11 or -std=gnu++11. On your current platform,
>>> you
>>> almost certainly have a more modern g++, and your R should be built with
>>> this for packages using C++. Do you know where synaptic is getting its
>>> binaries?
>>>
>>> Roger
>>>
>>>
>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>
>>>> Using Synaptic.
>>>> I just tested with a live usb with Debian Stretch, and with stretch
>>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>>> and dependencies) .
>>>> Agus
>>>>
>>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>>> <[hidden email]> wrote:
>>>>>
>>>>>
>>>>> How did you install gdal and proj on that machine?
>>>>>
>>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>>
>>>>>>
>>>>>> Thanks,
>>>>>>
>>>>>> As indicated, I do:
>>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>>
>>>>>> The whole output is here:
>>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>>
>>>>>> The problem starts at:
>>>>>>
>>>>>> configure: PROJ.4 version: 4.8.0
>>>>>> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
>>>>>> checking PROJ.4: epsg found and readable... yes
>>>>>> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
>>>>>> checking PROJ.4: conus found and readable... yes
>>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>>> configure: creating ./config.status
>>>>>> config.status: creating src/Makevars
>>>>>> ** libs
>>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
>>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>>> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
>>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>>                  from OGR_write.cpp:2:
>>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>>> controls (override/final) only available with -std=c++11 or
>>>>>> -std=gnu++11
>>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>>
>>>>>> I'm totally clueless...
>>>>>>
>>>>>> Agus
>>>>>>
>>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>>> wrote:
>>>>>>>
>>>>>>>
>>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the
>>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it to
>>>>>>> find
>>>>>>> the root cause. Almost certainly the installed GDAL ha different
>>>>>>> assumptions
>>>>>>> about the g++ compiler than R itself, so you may need to install GDAL
>>>>>>> and R
>>>>>>> from source. There have been unclear reports of issues with -std=.
>>>>>>>
>>>>>>> Hope this helps,
>>>>>>>
>>>>>>> Roger
>>>>>>>
>>>>>>> Roger Bivand
>>>>>>> Norwegian School of Economics
>>>>>>> Bergen, Norway
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> Fra: Agustin Lobo
>>>>>>> Sendt: fredag 8. september, 14.49
>>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>>> Til: r-sig-geo
>>>>>>>
>>>>>>>
>>>>>>> I get lots of errors at installing rgdal on a recently upgraded
>>>>>>> machine
>>>>>>> to Debian Buster and R3.3.3 There are so many errors that I cannot
>>>>>>> scroll up
>>>>>>> enough as to get where the errors actually start and report. Is there
>>>>>>> any
>>>>>>> way to save the output of install.packages("rgdal") ? Any other
>>>>>>> reports on
>>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>>> _______________________________________________ R-sig-Geo mailing
>>>>>>> list
>>>>>>> [hidden email]
>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>
>>>>>>>
>>>>>>>         [[alternative HTML version deleted]]
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> R-sig-Geo mailing list
>>>>>>> [hidden email]
>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> R-sig-Geo mailing list
>>>>>> [hidden email]
>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>
>>>>>
>>>>> --
>>>>> Edzer Pebesma
>>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> R-sig-Geo mailing list
>>>>> [hidden email]
>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>>
>>>
>>> --
>>> Roger Bivand
>>> Department of Economics, Norwegian School of Economics,
>>> Helleveien 30, N-5045 Bergen, Norway.
>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>> Editor-in-Chief of The R Journal,
>>> https://journal.r-project.org/index.html
>>> http://orcid.org/0000-0003-2392-6140
>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>>
>
> --
> Roger Bivand
> Department of Economics, Norwegian School of Economics,
> Helleveien 30, N-5045 Bergen, Norway.
> voice: +47 55 95 93 55; e-mail: [hidden email]
> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
> http://orcid.org/0000-0003-2392-6140
> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Roger Bivand
Administrator
On Tue, 12 Sep 2017, Agustin Lobo wrote:

> I just installed r-base through synaptic.
> alobo@debi:~$ dpkg -s r-base
> Package: r-base
> Status: install ok installed
> Priority: optional
> Section: gnu-r
> Installed-Size: 60
> Maintainer: Dirk Eddelbuettel <[hidden email]>
> Architecture: all
> Version: 3.3.3-1
> Depends: r-base-core (>= 3.3.3-1), r-recommended (= 3.3.3-1)
> Recommends: r-base-html, r-doc-html
> Suggests: ess, r-doc-info | r-doc-pdf
This is not current R. An offlist solution for someone else was installing
PROJ, GDAL, and R from source. Is the R 3.3.3-1 binary for your Debian
version?

Roger

>
> I think I'll try to downgrade to stretch...
>
> Agus
>
>
> On Tue, Sep 12, 2017 at 12:28 PM, Roger Bivand <[hidden email]> wrote:
>> From the entrails, GDAL was built with a CXX11 compiler, but R was very
>> possibly not, hence the messages. Where did R come from, and was it itself
>> built for the same Debian version?
>>
>>
>> Roger
>>
>>
>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>
>>> I assume that from the repos I have defined, this is an standard
>>> installation:
>>> deb http://ftp.de.debian.org/debian/ testing main
>>> deb-src http://ftp.de.debian.org/debian/ testing main
>>> deb http://ftp.de.debian.org/debian/ testing-updates main
>>> deb-src http://ftp.de.debian.org/debian/ testing-updates main
>>> deb ftp://security.debian.org/debian-security testing/updates main
>>> deb-src ftp://security.debian.org/debian-security testing/updates main
>>>
>>> deb http://deb.debian.org/debian/ testing non-free contrib main
>>> deb-src http://deb.debian.org/debian/ testing non-free contrib main
>>> deb http://deb.debian.org/debian/ testing-updates non-free contrib main
>>> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib
>>> main
>>>
>>> Also:
>>> alobo@debi:~$ dpkg -s gdal-bin
>>> Package: gdal-bin
>>> Status: install ok installed
>>> Priority: optional
>>> Section: science
>>> Installed-Size: 724
>>> Maintainer: Debian GIS Project <[hidden email]>
>>> Architecture: i386
>>> Source: gdal (2.2.1+dfsg-2)
>>> Version: 2.2.1+dfsg-2+b2
>>> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
>>> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
>>> Suggests: libgdal-grass, python-gdal
>>> Breaks: gdal-bin (<< 1.10.0-0~)
>>>
>>> alobo@debi:~$ dpkg -s libgdal-dev
>>> Package: libgdal-dev
>>> Status: install ok installed
>>> Priority: optional
>>> Section: libdevel
>>> Installed-Size: 32633
>>> Maintainer: Debian GIS Project <[hidden email]>
>>> Architecture: i386
>>> Source: gdal (2.2.1+dfsg-2)
>>> Version: 2.2.1+dfsg-2+b2
>>> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
>>> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
>>> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
>>> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
>>> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
>>> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
>>> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
>>> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
>>> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
>>> libxerces-c-dev, libxml2-dev, unixodbc-dev
>>> Suggests: libgdal-doc
>>>
>>> I've contacted [hidden email]
>>>
>>> Agus
>>>
>>> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]>
>>> wrote:
>>>>
>>>> My guess is that your g++ is being used differently to build R and GDAL
>>>> (seen before off-list in August). If you install PROJ, GDAL and R from
>>>> source on your platform, they will (most likely) match. It looks as
>>>> though R
>>>> was not built with -std=c++11 or -std=gnu++11. On your current platform,
>>>> you
>>>> almost certainly have a more modern g++, and your R should be built with
>>>> this for packages using C++. Do you know where synaptic is getting its
>>>> binaries?
>>>>
>>>> Roger
>>>>
>>>>
>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>
>>>>> Using Synaptic.
>>>>> I just tested with a live usb with Debian Stretch, and with stretch
>>>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>>>> and dependencies) .
>>>>> Agus
>>>>>
>>>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>>>> <[hidden email]> wrote:
>>>>>>
>>>>>>
>>>>>> How did you install gdal and proj on that machine?
>>>>>>
>>>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>>>
>>>>>>>
>>>>>>> Thanks,
>>>>>>>
>>>>>>> As indicated, I do:
>>>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>>>
>>>>>>> The whole output is here:
>>>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>>>
>>>>>>> The problem starts at:
>>>>>>>
>>>>>>> configure: PROJ.4 version: 4.8.0
>>>>>>> ./configure: line 3725:  8390 Segmentation fault      ./proj_conf_test
>>>>>>> checking PROJ.4: epsg found and readable... yes
>>>>>>> ./configure: line 3800:  8399 Segmentation fault      ./proj_conf_test
>>>>>>> checking PROJ.4: conus found and readable... yes
>>>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>>>> configure: creating ./config.status
>>>>>>> config.status: creating src/Makevars
>>>>>>> ** libs
>>>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic  -g
>>>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>>>> -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time
>>>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>>>                  from OGR_write.cpp:2:
>>>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>>>> controls (override/final) only available with -std=c++11 or
>>>>>>> -std=gnu++11
>>>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>>>
>>>>>>> I'm totally clueless...
>>>>>>>
>>>>>>> Agus
>>>>>>>
>>>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>>>> wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the
>>>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it to
>>>>>>>> find
>>>>>>>> the root cause. Almost certainly the installed GDAL ha different
>>>>>>>> assumptions
>>>>>>>> about the g++ compiler than R itself, so you may need to install GDAL
>>>>>>>> and R
>>>>>>>> from source. There have been unclear reports of issues with -std=.
>>>>>>>>
>>>>>>>> Hope this helps,
>>>>>>>>
>>>>>>>> Roger
>>>>>>>>
>>>>>>>> Roger Bivand
>>>>>>>> Norwegian School of Economics
>>>>>>>> Bergen, Norway
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> Fra: Agustin Lobo
>>>>>>>> Sendt: fredag 8. september, 14.49
>>>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>>>> Til: r-sig-geo
>>>>>>>>
>>>>>>>>
>>>>>>>> I get lots of errors at installing rgdal on a recently upgraded
>>>>>>>> machine
>>>>>>>> to Debian Buster and R3.3.3 There are so many errors that I cannot
>>>>>>>> scroll up
>>>>>>>> enough as to get where the errors actually start and report. Is there
>>>>>>>> any
>>>>>>>> way to save the output of install.packages("rgdal") ? Any other
>>>>>>>> reports on
>>>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>>>> _______________________________________________ R-sig-Geo mailing
>>>>>>>> list
>>>>>>>> [hidden email]
>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>
>>>>>>>>
>>>>>>>>         [[alternative HTML version deleted]]
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> R-sig-Geo mailing list
>>>>>>>> [hidden email]
>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> R-sig-Geo mailing list
>>>>>>> [hidden email]
>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>
>>>>>>
>>>>>> --
>>>>>> Edzer Pebesma
>>>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> R-sig-Geo mailing list
>>>>>> [hidden email]
>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>>
>>>>>
>>>>> _______________________________________________
>>>>> R-sig-Geo mailing list
>>>>> [hidden email]
>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>>
>>>>
>>>> --
>>>> Roger Bivand
>>>> Department of Economics, Norwegian School of Economics,
>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>> Editor-in-Chief of The R Journal,
>>>> https://journal.r-project.org/index.html
>>>> http://orcid.org/0000-0003-2392-6140
>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>>
>>
>> --
>> Roger Bivand
>> Department of Economics, Norwegian School of Economics,
>> Helleveien 30, N-5045 Bergen, Norway.
>> voice: +47 55 95 93 55; e-mail: [hidden email]
>> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
>> http://orcid.org/0000-0003-2392-6140
>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
--
Roger Bivand
Department of Economics, Norwegian School of Economics,
Helleveien 30, N-5045 Bergen, Norway.
voice: +47 55 95 93 55; e-mail: [hidden email]
Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
http://orcid.org/0000-0003-2392-6140
https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Agustin Lobo
Yes, r-base in Buster is 3.3.3.1:
https://packages.debian.org/buster/r-base

I'll wait to see if the maintainers answer...

Thanks


On Tue, Sep 12, 2017 at 1:09 PM, Roger Bivand <[hidden email]> wrote:

> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>
>> I just installed r-base through synaptic.
>> alobo@debi:~$ dpkg -s r-base
>> Package: r-base
>> Status: install ok installed
>> Priority: optional
>> Section: gnu-r
>> Installed-Size: 60
>> Maintainer: Dirk Eddelbuettel <[hidden email]>
>> Architecture: all
>> Version: 3.3.3-1
>> Depends: r-base-core (>= 3.3.3-1), r-recommended (= 3.3.3-1)
>> Recommends: r-base-html, r-doc-html
>> Suggests: ess, r-doc-info | r-doc-pdf
>
>
> This is not current R. An offlist solution for someone else was installing
> PROJ, GDAL, and R from source. Is the R 3.3.3-1 binary for your Debian
> version?
>
> Roger
>
>
>>
>> I think I'll try to downgrade to stretch...
>>
>> Agus
>>
>>
>> On Tue, Sep 12, 2017 at 12:28 PM, Roger Bivand <[hidden email]>
>> wrote:
>>>
>>> From the entrails, GDAL was built with a CXX11 compiler, but R was very
>>> possibly not, hence the messages. Where did R come from, and was it
>>> itself
>>> built for the same Debian version?
>>>
>>>
>>> Roger
>>>
>>>
>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>
>>>> I assume that from the repos I have defined, this is an standard
>>>> installation:
>>>> deb http://ftp.de.debian.org/debian/ testing main
>>>> deb-src http://ftp.de.debian.org/debian/ testing main
>>>> deb http://ftp.de.debian.org/debian/ testing-updates main
>>>> deb-src http://ftp.de.debian.org/debian/ testing-updates main
>>>> deb ftp://security.debian.org/debian-security testing/updates main
>>>> deb-src ftp://security.debian.org/debian-security testing/updates main
>>>>
>>>> deb http://deb.debian.org/debian/ testing non-free contrib main
>>>> deb-src http://deb.debian.org/debian/ testing non-free contrib main
>>>> deb http://deb.debian.org/debian/ testing-updates non-free contrib main
>>>> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib
>>>> main
>>>>
>>>> Also:
>>>> alobo@debi:~$ dpkg -s gdal-bin
>>>> Package: gdal-bin
>>>> Status: install ok installed
>>>> Priority: optional
>>>> Section: science
>>>> Installed-Size: 724
>>>> Maintainer: Debian GIS Project <[hidden email]>
>>>> Architecture: i386
>>>> Source: gdal (2.2.1+dfsg-2)
>>>> Version: 2.2.1+dfsg-2+b2
>>>> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
>>>> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
>>>> Suggests: libgdal-grass, python-gdal
>>>> Breaks: gdal-bin (<< 1.10.0-0~)
>>>>
>>>> alobo@debi:~$ dpkg -s libgdal-dev
>>>> Package: libgdal-dev
>>>> Status: install ok installed
>>>> Priority: optional
>>>> Section: libdevel
>>>> Installed-Size: 32633
>>>> Maintainer: Debian GIS Project <[hidden email]>
>>>> Architecture: i386
>>>> Source: gdal (2.2.1+dfsg-2)
>>>> Version: 2.2.1+dfsg-2+b2
>>>> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
>>>> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
>>>> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
>>>> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
>>>> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
>>>> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
>>>> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
>>>> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
>>>> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
>>>> libxerces-c-dev, libxml2-dev, unixodbc-dev
>>>> Suggests: libgdal-doc
>>>>
>>>> I've contacted [hidden email]
>>>>
>>>> Agus
>>>>
>>>> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]>
>>>> wrote:
>>>>>
>>>>>
>>>>> My guess is that your g++ is being used differently to build R and GDAL
>>>>> (seen before off-list in August). If you install PROJ, GDAL and R from
>>>>> source on your platform, they will (most likely) match. It looks as
>>>>> though R
>>>>> was not built with -std=c++11 or -std=gnu++11. On your current
>>>>> platform,
>>>>> you
>>>>> almost certainly have a more modern g++, and your R should be built
>>>>> with
>>>>> this for packages using C++. Do you know where synaptic is getting its
>>>>> binaries?
>>>>>
>>>>> Roger
>>>>>
>>>>>
>>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>>
>>>>>> Using Synaptic.
>>>>>> I just tested with a live usb with Debian Stretch, and with stretch
>>>>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>>>>> and dependencies) .
>>>>>> Agus
>>>>>>
>>>>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>>>>> <[hidden email]> wrote:
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> How did you install gdal and proj on that machine?
>>>>>>>
>>>>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> Thanks,
>>>>>>>>
>>>>>>>> As indicated, I do:
>>>>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>>>>
>>>>>>>> The whole output is here:
>>>>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>>>>
>>>>>>>> The problem starts at:
>>>>>>>>
>>>>>>>> configure: PROJ.4 version: 4.8.0
>>>>>>>> ./configure: line 3725:  8390 Segmentation fault
>>>>>>>> ./proj_conf_test
>>>>>>>> checking PROJ.4: epsg found and readable... yes
>>>>>>>> ./configure: line 3800:  8399 Segmentation fault
>>>>>>>> ./proj_conf_test
>>>>>>>> checking PROJ.4: conus found and readable... yes
>>>>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>>>>> configure: creating ./config.status
>>>>>>>> config.status: creating src/Makevars
>>>>>>>> ** libs
>>>>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic
>>>>>>>> -g
>>>>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>>>>> -fstack-protector-strong -Wformat -Werror=format-security
>>>>>>>> -Wdate-time
>>>>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>>>>                  from OGR_write.cpp:2:
>>>>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>>>>> controls (override/final) only available with -std=c++11 or
>>>>>>>> -std=gnu++11
>>>>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>>>>
>>>>>>>> I'm totally clueless...
>>>>>>>>
>>>>>>>> Agus
>>>>>>>>
>>>>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>>>>> wrote:
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the
>>>>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it
>>>>>>>>> to
>>>>>>>>> find
>>>>>>>>> the root cause. Almost certainly the installed GDAL ha different
>>>>>>>>> assumptions
>>>>>>>>> about the g++ compiler than R itself, so you may need to install
>>>>>>>>> GDAL
>>>>>>>>> and R
>>>>>>>>> from source. There have been unclear reports of issues with -std=.
>>>>>>>>>
>>>>>>>>> Hope this helps,
>>>>>>>>>
>>>>>>>>> Roger
>>>>>>>>>
>>>>>>>>> Roger Bivand
>>>>>>>>> Norwegian School of Economics
>>>>>>>>> Bergen, Norway
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> Fra: Agustin Lobo
>>>>>>>>> Sendt: fredag 8. september, 14.49
>>>>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>>>>> Til: r-sig-geo
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> I get lots of errors at installing rgdal on a recently upgraded
>>>>>>>>> machine
>>>>>>>>> to Debian Buster and R3.3.3 There are so many errors that I cannot
>>>>>>>>> scroll up
>>>>>>>>> enough as to get where the errors actually start and report. Is
>>>>>>>>> there
>>>>>>>>> any
>>>>>>>>> way to save the output of install.packages("rgdal") ? Any other
>>>>>>>>> reports on
>>>>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>>>>> _______________________________________________ R-sig-Geo mailing
>>>>>>>>> list
>>>>>>>>> [hidden email]
>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>         [[alternative HTML version deleted]]
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>> [hidden email]
>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> R-sig-Geo mailing list
>>>>>>>> [hidden email]
>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>
>>>>>>>
>>>>>>> --
>>>>>>> Edzer Pebesma
>>>>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>>>>
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> R-sig-Geo mailing list
>>>>>>> [hidden email]
>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> R-sig-Geo mailing list
>>>>>> [hidden email]
>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> --
>>>>> Roger Bivand
>>>>> Department of Economics, Norwegian School of Economics,
>>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>>> Editor-in-Chief of The R Journal,
>>>>> https://journal.r-project.org/index.html
>>>>> http://orcid.org/0000-0003-2392-6140
>>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>> _______________________________________________
>>>>> R-sig-Geo mailing list
>>>>> [hidden email]
>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>>
>>>>
>>>
>>> --
>>> Roger Bivand
>>> Department of Economics, Norwegian School of Economics,
>>> Helleveien 30, N-5045 Bergen, Norway.
>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>> Editor-in-Chief of The R Journal,
>>> https://journal.r-project.org/index.html
>>> http://orcid.org/0000-0003-2392-6140
>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>>
>
> --
> Roger Bivand
> Department of Economics, Norwegian School of Economics,
> Helleveien 30, N-5045 Bergen, Norway.
> voice: +47 55 95 93 55; e-mail: [hidden email]
> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
> http://orcid.org/0000-0003-2392-6140
> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Roger Bivand
Administrator
On Tue, 12 Sep 2017, Agustin Lobo wrote:

> Yes, r-base in Buster is 3.3.3.1:
> https://packages.debian.org/buster/r-base
>
> I'll wait to see if the maintainers answer...

What is the version of g++ on your buster system - the buster r-base does
not seem to require a version that supports CXX11 or later?

Roger

>
> Thanks
>
>
> On Tue, Sep 12, 2017 at 1:09 PM, Roger Bivand <[hidden email]> wrote:
>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>
>>> I just installed r-base through synaptic.
>>> alobo@debi:~$ dpkg -s r-base
>>> Package: r-base
>>> Status: install ok installed
>>> Priority: optional
>>> Section: gnu-r
>>> Installed-Size: 60
>>> Maintainer: Dirk Eddelbuettel <[hidden email]>
>>> Architecture: all
>>> Version: 3.3.3-1
>>> Depends: r-base-core (>= 3.3.3-1), r-recommended (= 3.3.3-1)
>>> Recommends: r-base-html, r-doc-html
>>> Suggests: ess, r-doc-info | r-doc-pdf
>>
>>
>> This is not current R. An offlist solution for someone else was installing
>> PROJ, GDAL, and R from source. Is the R 3.3.3-1 binary for your Debian
>> version?
>>
>> Roger
>>
>>
>>>
>>> I think I'll try to downgrade to stretch...
>>>
>>> Agus
>>>
>>>
>>> On Tue, Sep 12, 2017 at 12:28 PM, Roger Bivand <[hidden email]>
>>> wrote:
>>>>
>>>> From the entrails, GDAL was built with a CXX11 compiler, but R was very
>>>> possibly not, hence the messages. Where did R come from, and was it
>>>> itself
>>>> built for the same Debian version?
>>>>
>>>>
>>>> Roger
>>>>
>>>>
>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>
>>>>> I assume that from the repos I have defined, this is an standard
>>>>> installation:
>>>>> deb http://ftp.de.debian.org/debian/ testing main
>>>>> deb-src http://ftp.de.debian.org/debian/ testing main
>>>>> deb http://ftp.de.debian.org/debian/ testing-updates main
>>>>> deb-src http://ftp.de.debian.org/debian/ testing-updates main
>>>>> deb ftp://security.debian.org/debian-security testing/updates main
>>>>> deb-src ftp://security.debian.org/debian-security testing/updates main
>>>>>
>>>>> deb http://deb.debian.org/debian/ testing non-free contrib main
>>>>> deb-src http://deb.debian.org/debian/ testing non-free contrib main
>>>>> deb http://deb.debian.org/debian/ testing-updates non-free contrib main
>>>>> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib
>>>>> main
>>>>>
>>>>> Also:
>>>>> alobo@debi:~$ dpkg -s gdal-bin
>>>>> Package: gdal-bin
>>>>> Status: install ok installed
>>>>> Priority: optional
>>>>> Section: science
>>>>> Installed-Size: 724
>>>>> Maintainer: Debian GIS Project <[hidden email]>
>>>>> Architecture: i386
>>>>> Source: gdal (2.2.1+dfsg-2)
>>>>> Version: 2.2.1+dfsg-2+b2
>>>>> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
>>>>> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
>>>>> Suggests: libgdal-grass, python-gdal
>>>>> Breaks: gdal-bin (<< 1.10.0-0~)
>>>>>
>>>>> alobo@debi:~$ dpkg -s libgdal-dev
>>>>> Package: libgdal-dev
>>>>> Status: install ok installed
>>>>> Priority: optional
>>>>> Section: libdevel
>>>>> Installed-Size: 32633
>>>>> Maintainer: Debian GIS Project <[hidden email]>
>>>>> Architecture: i386
>>>>> Source: gdal (2.2.1+dfsg-2)
>>>>> Version: 2.2.1+dfsg-2+b2
>>>>> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
>>>>> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
>>>>> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
>>>>> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
>>>>> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
>>>>> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
>>>>> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
>>>>> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
>>>>> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
>>>>> libxerces-c-dev, libxml2-dev, unixodbc-dev
>>>>> Suggests: libgdal-doc
>>>>>
>>>>> I've contacted [hidden email]
>>>>>
>>>>> Agus
>>>>>
>>>>> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]>
>>>>> wrote:
>>>>>>
>>>>>>
>>>>>> My guess is that your g++ is being used differently to build R and GDAL
>>>>>> (seen before off-list in August). If you install PROJ, GDAL and R from
>>>>>> source on your platform, they will (most likely) match. It looks as
>>>>>> though R
>>>>>> was not built with -std=c++11 or -std=gnu++11. On your current
>>>>>> platform,
>>>>>> you
>>>>>> almost certainly have a more modern g++, and your R should be built
>>>>>> with
>>>>>> this for packages using C++. Do you know where synaptic is getting its
>>>>>> binaries?
>>>>>>
>>>>>> Roger
>>>>>>
>>>>>>
>>>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>>>
>>>>>>> Using Synaptic.
>>>>>>> I just tested with a live usb with Debian Stretch, and with stretch
>>>>>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>>>>>> and dependencies) .
>>>>>>> Agus
>>>>>>>
>>>>>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>>>>>> <[hidden email]> wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> How did you install gdal and proj on that machine?
>>>>>>>>
>>>>>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> Thanks,
>>>>>>>>>
>>>>>>>>> As indicated, I do:
>>>>>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>>>>>
>>>>>>>>> The whole output is here:
>>>>>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>>>>>
>>>>>>>>> The problem starts at:
>>>>>>>>>
>>>>>>>>> configure: PROJ.4 version: 4.8.0
>>>>>>>>> ./configure: line 3725:  8390 Segmentation fault
>>>>>>>>> ./proj_conf_test
>>>>>>>>> checking PROJ.4: epsg found and readable... yes
>>>>>>>>> ./configure: line 3800:  8399 Segmentation fault
>>>>>>>>> ./proj_conf_test
>>>>>>>>> checking PROJ.4: conus found and readable... yes
>>>>>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>>>>>> configure: creating ./config.status
>>>>>>>>> config.status: creating src/Makevars
>>>>>>>>> ** libs
>>>>>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic
>>>>>>>>> -g
>>>>>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>>>>>> -fstack-protector-strong -Wformat -Werror=format-security
>>>>>>>>> -Wdate-time
>>>>>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>>>>>                  from OGR_write.cpp:2:
>>>>>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>>>>>> controls (override/final) only available with -std=c++11 or
>>>>>>>>> -std=gnu++11
>>>>>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>>>>>
>>>>>>>>> I'm totally clueless...
>>>>>>>>>
>>>>>>>>> Agus
>>>>>>>>>
>>>>>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>>>>>> wrote:
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe the
>>>>>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it
>>>>>>>>>> to
>>>>>>>>>> find
>>>>>>>>>> the root cause. Almost certainly the installed GDAL ha different
>>>>>>>>>> assumptions
>>>>>>>>>> about the g++ compiler than R itself, so you may need to install
>>>>>>>>>> GDAL
>>>>>>>>>> and R
>>>>>>>>>> from source. There have been unclear reports of issues with -std=.
>>>>>>>>>>
>>>>>>>>>> Hope this helps,
>>>>>>>>>>
>>>>>>>>>> Roger
>>>>>>>>>>
>>>>>>>>>> Roger Bivand
>>>>>>>>>> Norwegian School of Economics
>>>>>>>>>> Bergen, Norway
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Fra: Agustin Lobo
>>>>>>>>>> Sendt: fredag 8. september, 14.49
>>>>>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>>>>>> Til: r-sig-geo
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> I get lots of errors at installing rgdal on a recently upgraded
>>>>>>>>>> machine
>>>>>>>>>> to Debian Buster and R3.3.3 There are so many errors that I cannot
>>>>>>>>>> scroll up
>>>>>>>>>> enough as to get where the errors actually start and report. Is
>>>>>>>>>> there
>>>>>>>>>> any
>>>>>>>>>> way to save the output of install.packages("rgdal") ? Any other
>>>>>>>>>> reports on
>>>>>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>>>>>> _______________________________________________ R-sig-Geo mailing
>>>>>>>>>> list
>>>>>>>>>> [hidden email]
>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>         [[alternative HTML version deleted]]
>>>>>>>>>>
>>>>>>>>>> _______________________________________________
>>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>>> [hidden email]
>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>> [hidden email]
>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>
>>>>>>>>
>>>>>>>> --
>>>>>>>> Edzer Pebesma
>>>>>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>>>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>>>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>>>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>>>>>
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> R-sig-Geo mailing list
>>>>>>>> [hidden email]
>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> _______________________________________________
>>>>>>> R-sig-Geo mailing list
>>>>>>> [hidden email]
>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>> --
>>>>>> Roger Bivand
>>>>>> Department of Economics, Norwegian School of Economics,
>>>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>>>> Editor-in-Chief of The R Journal,
>>>>>> https://journal.r-project.org/index.html
>>>>>> http://orcid.org/0000-0003-2392-6140
>>>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>>> _______________________________________________
>>>>>> R-sig-Geo mailing list
>>>>>> [hidden email]
>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>>
>>>>>
>>>>
>>>> --
>>>> Roger Bivand
>>>> Department of Economics, Norwegian School of Economics,
>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>> Editor-in-Chief of The R Journal,
>>>> https://journal.r-project.org/index.html
>>>> http://orcid.org/0000-0003-2392-6140
>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>>
>>
>> --
>> Roger Bivand
>> Department of Economics, Norwegian School of Economics,
>> Helleveien 30, N-5045 Bergen, Norway.
>> voice: +47 55 95 93 55; e-mail: [hidden email]
>> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
>> http://orcid.org/0000-0003-2392-6140
>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
--
Roger Bivand
Department of Economics, Norwegian School of Economics,
Helleveien 30, N-5045 Bergen, Norway.
voice: +47 55 95 93 55; e-mail: [hidden email]
Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
http://orcid.org/0000-0003-2392-6140
https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Agustin Lobo
How do I find out that?
Agus

On Tue, Sep 12, 2017 at 1:39 PM, Roger Bivand <[hidden email]> wrote:

> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>
>> Yes, r-base in Buster is 3.3.3.1:
>> https://packages.debian.org/buster/r-base
>>
>> I'll wait to see if the maintainers answer...
>
>
> What is the version of g++ on your buster system - the buster r-base does
> not seem to require a version that supports CXX11 or later?
>
> Roger
>
>
>>
>> Thanks
>>
>>
>> On Tue, Sep 12, 2017 at 1:09 PM, Roger Bivand <[hidden email]> wrote:
>>>
>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>
>>>> I just installed r-base through synaptic.
>>>> alobo@debi:~$ dpkg -s r-base
>>>> Package: r-base
>>>> Status: install ok installed
>>>> Priority: optional
>>>> Section: gnu-r
>>>> Installed-Size: 60
>>>> Maintainer: Dirk Eddelbuettel <[hidden email]>
>>>> Architecture: all
>>>> Version: 3.3.3-1
>>>> Depends: r-base-core (>= 3.3.3-1), r-recommended (= 3.3.3-1)
>>>> Recommends: r-base-html, r-doc-html
>>>> Suggests: ess, r-doc-info | r-doc-pdf
>>>
>>>
>>>
>>> This is not current R. An offlist solution for someone else was
>>> installing
>>> PROJ, GDAL, and R from source. Is the R 3.3.3-1 binary for your Debian
>>> version?
>>>
>>> Roger
>>>
>>>
>>>>
>>>> I think I'll try to downgrade to stretch...
>>>>
>>>> Agus
>>>>
>>>>
>>>> On Tue, Sep 12, 2017 at 12:28 PM, Roger Bivand <[hidden email]>
>>>> wrote:
>>>>>
>>>>>
>>>>> From the entrails, GDAL was built with a CXX11 compiler, but R was very
>>>>> possibly not, hence the messages. Where did R come from, and was it
>>>>> itself
>>>>> built for the same Debian version?
>>>>>
>>>>>
>>>>> Roger
>>>>>
>>>>>
>>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>>
>>>>>> I assume that from the repos I have defined, this is an standard
>>>>>> installation:
>>>>>> deb http://ftp.de.debian.org/debian/ testing main
>>>>>> deb-src http://ftp.de.debian.org/debian/ testing main
>>>>>> deb http://ftp.de.debian.org/debian/ testing-updates main
>>>>>> deb-src http://ftp.de.debian.org/debian/ testing-updates main
>>>>>> deb ftp://security.debian.org/debian-security testing/updates main
>>>>>> deb-src ftp://security.debian.org/debian-security testing/updates main
>>>>>>
>>>>>> deb http://deb.debian.org/debian/ testing non-free contrib main
>>>>>> deb-src http://deb.debian.org/debian/ testing non-free contrib main
>>>>>> deb http://deb.debian.org/debian/ testing-updates non-free contrib
>>>>>> main
>>>>>> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib
>>>>>> main
>>>>>>
>>>>>> Also:
>>>>>> alobo@debi:~$ dpkg -s gdal-bin
>>>>>> Package: gdal-bin
>>>>>> Status: install ok installed
>>>>>> Priority: optional
>>>>>> Section: science
>>>>>> Installed-Size: 724
>>>>>> Maintainer: Debian GIS Project
>>>>>> <[hidden email]>
>>>>>> Architecture: i386
>>>>>> Source: gdal (2.2.1+dfsg-2)
>>>>>> Version: 2.2.1+dfsg-2+b2
>>>>>> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
>>>>>> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
>>>>>> Suggests: libgdal-grass, python-gdal
>>>>>> Breaks: gdal-bin (<< 1.10.0-0~)
>>>>>>
>>>>>> alobo@debi:~$ dpkg -s libgdal-dev
>>>>>> Package: libgdal-dev
>>>>>> Status: install ok installed
>>>>>> Priority: optional
>>>>>> Section: libdevel
>>>>>> Installed-Size: 32633
>>>>>> Maintainer: Debian GIS Project
>>>>>> <[hidden email]>
>>>>>> Architecture: i386
>>>>>> Source: gdal (2.2.1+dfsg-2)
>>>>>> Version: 2.2.1+dfsg-2+b2
>>>>>> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
>>>>>> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
>>>>>> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
>>>>>> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
>>>>>> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
>>>>>> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
>>>>>> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
>>>>>> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
>>>>>> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
>>>>>> libxerces-c-dev, libxml2-dev, unixodbc-dev
>>>>>> Suggests: libgdal-doc
>>>>>>
>>>>>> I've contacted [hidden email]
>>>>>>
>>>>>> Agus
>>>>>>
>>>>>> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]>
>>>>>> wrote:
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> My guess is that your g++ is being used differently to build R and
>>>>>>> GDAL
>>>>>>> (seen before off-list in August). If you install PROJ, GDAL and R
>>>>>>> from
>>>>>>> source on your platform, they will (most likely) match. It looks as
>>>>>>> though R
>>>>>>> was not built with -std=c++11 or -std=gnu++11. On your current
>>>>>>> platform,
>>>>>>> you
>>>>>>> almost certainly have a more modern g++, and your R should be built
>>>>>>> with
>>>>>>> this for packages using C++. Do you know where synaptic is getting
>>>>>>> its
>>>>>>> binaries?
>>>>>>>
>>>>>>> Roger
>>>>>>>
>>>>>>>
>>>>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>>>>
>>>>>>>> Using Synaptic.
>>>>>>>> I just tested with a live usb with Debian Stretch, and with stretch
>>>>>>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>>>>>>> and dependencies) .
>>>>>>>> Agus
>>>>>>>>
>>>>>>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>>>>>>> <[hidden email]> wrote:
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> How did you install gdal and proj on that machine?
>>>>>>>>>
>>>>>>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> Thanks,
>>>>>>>>>>
>>>>>>>>>> As indicated, I do:
>>>>>>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>>>>>>
>>>>>>>>>> The whole output is here:
>>>>>>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>>>>>>
>>>>>>>>>> The problem starts at:
>>>>>>>>>>
>>>>>>>>>> configure: PROJ.4 version: 4.8.0
>>>>>>>>>> ./configure: line 3725:  8390 Segmentation fault
>>>>>>>>>> ./proj_conf_test
>>>>>>>>>> checking PROJ.4: epsg found and readable... yes
>>>>>>>>>> ./configure: line 3800:  8399 Segmentation fault
>>>>>>>>>> ./proj_conf_test
>>>>>>>>>> checking PROJ.4: conus found and readable... yes
>>>>>>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>>>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>>>>>>> configure: creating ./config.status
>>>>>>>>>> config.status: creating src/Makevars
>>>>>>>>>> ** libs
>>>>>>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>>>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic
>>>>>>>>>> -g
>>>>>>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>>>>>>> -fstack-protector-strong -Wformat -Werror=format-security
>>>>>>>>>> -Wdate-time
>>>>>>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>>>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>>>>>>                  from OGR_write.cpp:2:
>>>>>>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>>>>>>> controls (override/final) only available with -std=c++11 or
>>>>>>>>>> -std=gnu++11
>>>>>>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>>>>>>
>>>>>>>>>> I'm totally clueless...
>>>>>>>>>>
>>>>>>>>>> Agus
>>>>>>>>>>
>>>>>>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>>>>>>> wrote:
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe
>>>>>>>>>>> the
>>>>>>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it
>>>>>>>>>>> to
>>>>>>>>>>> find
>>>>>>>>>>> the root cause. Almost certainly the installed GDAL ha different
>>>>>>>>>>> assumptions
>>>>>>>>>>> about the g++ compiler than R itself, so you may need to install
>>>>>>>>>>> GDAL
>>>>>>>>>>> and R
>>>>>>>>>>> from source. There have been unclear reports of issues with
>>>>>>>>>>> -std=.
>>>>>>>>>>>
>>>>>>>>>>> Hope this helps,
>>>>>>>>>>>
>>>>>>>>>>> Roger
>>>>>>>>>>>
>>>>>>>>>>> Roger Bivand
>>>>>>>>>>> Norwegian School of Economics
>>>>>>>>>>> Bergen, Norway
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> Fra: Agustin Lobo
>>>>>>>>>>> Sendt: fredag 8. september, 14.49
>>>>>>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>>>>>>> Til: r-sig-geo
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> I get lots of errors at installing rgdal on a recently upgraded
>>>>>>>>>>> machine
>>>>>>>>>>> to Debian Buster and R3.3.3 There are so many errors that I
>>>>>>>>>>> cannot
>>>>>>>>>>> scroll up
>>>>>>>>>>> enough as to get where the errors actually start and report. Is
>>>>>>>>>>> there
>>>>>>>>>>> any
>>>>>>>>>>> way to save the output of install.packages("rgdal") ? Any other
>>>>>>>>>>> reports on
>>>>>>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>>>>>>> _______________________________________________ R-sig-Geo mailing
>>>>>>>>>>> list
>>>>>>>>>>> [hidden email]
>>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>         [[alternative HTML version deleted]]
>>>>>>>>>>>
>>>>>>>>>>> _______________________________________________
>>>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>>>> [hidden email]
>>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> _______________________________________________
>>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>>> [hidden email]
>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>
>>>>>>>>>
>>>>>>>>> --
>>>>>>>>> Edzer Pebesma
>>>>>>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>>>>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>>>>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>>>>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>> [hidden email]
>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> R-sig-Geo mailing list
>>>>>>>> [hidden email]
>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> --
>>>>>>> Roger Bivand
>>>>>>> Department of Economics, Norwegian School of Economics,
>>>>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>>>>> Editor-in-Chief of The R Journal,
>>>>>>> https://journal.r-project.org/index.html
>>>>>>> http://orcid.org/0000-0003-2392-6140
>>>>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>>>> _______________________________________________
>>>>>>> R-sig-Geo mailing list
>>>>>>> [hidden email]
>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>
>>>>> --
>>>>> Roger Bivand
>>>>> Department of Economics, Norwegian School of Economics,
>>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>>> Editor-in-Chief of The R Journal,
>>>>> https://journal.r-project.org/index.html
>>>>> http://orcid.org/0000-0003-2392-6140
>>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>>
>>>>> _______________________________________________
>>>>> R-sig-Geo mailing list
>>>>> [hidden email]
>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>
>>>>
>>>>
>>>
>>> --
>>> Roger Bivand
>>> Department of Economics, Norwegian School of Economics,
>>> Helleveien 30, N-5045 Bergen, Norway.
>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>> Editor-in-Chief of The R Journal,
>>> https://journal.r-project.org/index.html
>>> http://orcid.org/0000-0003-2392-6140
>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>
>>
>
> --
> Roger Bivand
> Department of Economics, Norwegian School of Economics,
> Helleveien 30, N-5045 Bergen, Norway.
> voice: +47 55 95 93 55; e-mail: [hidden email]
> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
> http://orcid.org/0000-0003-2392-6140
> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Errors at installing rgdal on Debian Buster

Roger Bivand
Administrator
$ g++ -v
...
gcc version 7.1.1 20170622 (Red Hat 7.1.1-3) (GCC)

in my case on Fedora 26.

Recent versions should be OK, but < 5 may be problematic. If you have
upgraded in place but not upgraded the compile trains, installing r-base
will not force that.


On Tue, 12 Sep 2017, Agustin Lobo wrote:

> How do I find out that?
> Agus
>
> On Tue, Sep 12, 2017 at 1:39 PM, Roger Bivand <[hidden email]> wrote:
>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>
>>> Yes, r-base in Buster is 3.3.3.1:
>>> https://packages.debian.org/buster/r-base
>>>
>>> I'll wait to see if the maintainers answer...
>>
>>
>> What is the version of g++ on your buster system - the buster r-base does
>> not seem to require a version that supports CXX11 or later?
>>
>> Roger
>>
>>
>>>
>>> Thanks
>>>
>>>
>>> On Tue, Sep 12, 2017 at 1:09 PM, Roger Bivand <[hidden email]> wrote:
>>>>
>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>
>>>>> I just installed r-base through synaptic.
>>>>> alobo@debi:~$ dpkg -s r-base
>>>>> Package: r-base
>>>>> Status: install ok installed
>>>>> Priority: optional
>>>>> Section: gnu-r
>>>>> Installed-Size: 60
>>>>> Maintainer: Dirk Eddelbuettel <[hidden email]>
>>>>> Architecture: all
>>>>> Version: 3.3.3-1
>>>>> Depends: r-base-core (>= 3.3.3-1), r-recommended (= 3.3.3-1)
>>>>> Recommends: r-base-html, r-doc-html
>>>>> Suggests: ess, r-doc-info | r-doc-pdf
>>>>
>>>>
>>>>
>>>> This is not current R. An offlist solution for someone else was
>>>> installing
>>>> PROJ, GDAL, and R from source. Is the R 3.3.3-1 binary for your Debian
>>>> version?
>>>>
>>>> Roger
>>>>
>>>>
>>>>>
>>>>> I think I'll try to downgrade to stretch...
>>>>>
>>>>> Agus
>>>>>
>>>>>
>>>>> On Tue, Sep 12, 2017 at 12:28 PM, Roger Bivand <[hidden email]>
>>>>> wrote:
>>>>>>
>>>>>>
>>>>>> From the entrails, GDAL was built with a CXX11 compiler, but R was very
>>>>>> possibly not, hence the messages. Where did R come from, and was it
>>>>>> itself
>>>>>> built for the same Debian version?
>>>>>>
>>>>>>
>>>>>> Roger
>>>>>>
>>>>>>
>>>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>>>
>>>>>>> I assume that from the repos I have defined, this is an standard
>>>>>>> installation:
>>>>>>> deb http://ftp.de.debian.org/debian/ testing main
>>>>>>> deb-src http://ftp.de.debian.org/debian/ testing main
>>>>>>> deb http://ftp.de.debian.org/debian/ testing-updates main
>>>>>>> deb-src http://ftp.de.debian.org/debian/ testing-updates main
>>>>>>> deb ftp://security.debian.org/debian-security testing/updates main
>>>>>>> deb-src ftp://security.debian.org/debian-security testing/updates main
>>>>>>>
>>>>>>> deb http://deb.debian.org/debian/ testing non-free contrib main
>>>>>>> deb-src http://deb.debian.org/debian/ testing non-free contrib main
>>>>>>> deb http://deb.debian.org/debian/ testing-updates non-free contrib
>>>>>>> main
>>>>>>> deb-src http://deb.debian.org/debian/ testing-updates non-free contrib
>>>>>>> main
>>>>>>>
>>>>>>> Also:
>>>>>>> alobo@debi:~$ dpkg -s gdal-bin
>>>>>>> Package: gdal-bin
>>>>>>> Status: install ok installed
>>>>>>> Priority: optional
>>>>>>> Section: science
>>>>>>> Installed-Size: 724
>>>>>>> Maintainer: Debian GIS Project
>>>>>>> <[hidden email]>
>>>>>>> Architecture: i386
>>>>>>> Source: gdal (2.2.1+dfsg-2)
>>>>>>> Version: 2.2.1+dfsg-2+b2
>>>>>>> Depends: gdal-abi-2-2-1, libc6 (>= 2.15), libgcc1 (>= 1:4.2),
>>>>>>> libgdal20 (>= 2.2.0), libstdc++6 (>= 5.2)
>>>>>>> Suggests: libgdal-grass, python-gdal
>>>>>>> Breaks: gdal-bin (<< 1.10.0-0~)
>>>>>>>
>>>>>>> alobo@debi:~$ dpkg -s libgdal-dev
>>>>>>> Package: libgdal-dev
>>>>>>> Status: install ok installed
>>>>>>> Priority: optional
>>>>>>> Section: libdevel
>>>>>>> Installed-Size: 32633
>>>>>>> Maintainer: Debian GIS Project
>>>>>>> <[hidden email]>
>>>>>>> Architecture: i386
>>>>>>> Source: gdal (2.2.1+dfsg-2)
>>>>>>> Version: 2.2.1+dfsg-2+b2
>>>>>>> Depends: libgdal20 (= 2.2.1+dfsg-2+b2), libc6-dev, libarmadillo-dev,
>>>>>>> libcurl4-gnutls-dev | libcurl-ssl-dev, libdap-dev, libepsilon-dev,
>>>>>>> libexpat1-dev, libfreexl-dev, libfyba-dev, libgeos-dev,
>>>>>>> libgeotiff-dev, libgif-dev, libhdf4-alt-dev, libhdf5-dev, libjpeg-dev,
>>>>>>> libjson-c-dev, libkml-dev, libltdl-dev, liblzma-dev,
>>>>>>> default-libmysqlclient-dev, libnetcdf-dev, libogdi3.2-dev,
>>>>>>> libopenjp2-7-dev, libpcre3-dev, libpng-dev, libpoppler-private-dev,
>>>>>>> libpq-dev, libproj-dev, libqhull-dev, libspatialite-dev,
>>>>>>> libsqlite3-dev, libtiff-dev, liburiparser-dev, libwebp-dev,
>>>>>>> libxerces-c-dev, libxml2-dev, unixodbc-dev
>>>>>>> Suggests: libgdal-doc
>>>>>>>
>>>>>>> I've contacted [hidden email]
>>>>>>>
>>>>>>> Agus
>>>>>>>
>>>>>>> On Tue, Sep 12, 2017 at 11:37 AM, Roger Bivand <[hidden email]>
>>>>>>> wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> My guess is that your g++ is being used differently to build R and
>>>>>>>> GDAL
>>>>>>>> (seen before off-list in August). If you install PROJ, GDAL and R
>>>>>>>> from
>>>>>>>> source on your platform, they will (most likely) match. It looks as
>>>>>>>> though R
>>>>>>>> was not built with -std=c++11 or -std=gnu++11. On your current
>>>>>>>> platform,
>>>>>>>> you
>>>>>>>> almost certainly have a more modern g++, and your R should be built
>>>>>>>> with
>>>>>>>> this for packages using C++. Do you know where synaptic is getting
>>>>>>>> its
>>>>>>>> binaries?
>>>>>>>>
>>>>>>>> Roger
>>>>>>>>
>>>>>>>>
>>>>>>>> On Tue, 12 Sep 2017, Agustin Lobo wrote:
>>>>>>>>
>>>>>>>>> Using Synaptic.
>>>>>>>>> I just tested with a live usb with Debian Stretch, and with stretch
>>>>>>>>> rgdal installs with no problems (after installing gdal-bin, gdal-dev
>>>>>>>>> and dependencies) .
>>>>>>>>> Agus
>>>>>>>>>
>>>>>>>>> On Tue, Sep 12, 2017 at 10:15 AM, Edzer Pebesma
>>>>>>>>> <[hidden email]> wrote:
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> How did you install gdal and proj on that machine?
>>>>>>>>>>
>>>>>>>>>> On 12/09/17 09:10, Agustin Lobo wrote:
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> Thanks,
>>>>>>>>>>>
>>>>>>>>>>> As indicated, I do:
>>>>>>>>>>> $ R CMD INSTALL rgdal_1.2-8.tar.gz 2>&1 | tee rgdal.log
>>>>>>>>>>>
>>>>>>>>>>> The whole output is here:
>>>>>>>>>>> https://drive.google.com/open?id=0B_LsZU5NlOztb0ZYQzZZRDQ0WkU
>>>>>>>>>>>
>>>>>>>>>>> The problem starts at:
>>>>>>>>>>>
>>>>>>>>>>> configure: PROJ.4 version: 4.8.0
>>>>>>>>>>> ./configure: line 3725:  8390 Segmentation fault
>>>>>>>>>>> ./proj_conf_test
>>>>>>>>>>> checking PROJ.4: epsg found and readable... yes
>>>>>>>>>>> ./configure: line 3800:  8399 Segmentation fault
>>>>>>>>>>> ./proj_conf_test
>>>>>>>>>>> checking PROJ.4: conus found and readable... yes
>>>>>>>>>>> configure: Package CPP flags:  -I/usr/include/gdal
>>>>>>>>>>> configure: Package LIBS:  -L/usr/lib -lgdal -lproj
>>>>>>>>>>> configure: creating ./config.status
>>>>>>>>>>> config.status: creating src/Makevars
>>>>>>>>>>> ** libs
>>>>>>>>>>> g++ -I/usr/share/R/include -DNDEBUG -I/usr/include/gdal
>>>>>>>>>>> -I"/home/alobo/R/i686-pc-linux-gnu-library/3.3/sp/include"   -fpic
>>>>>>>>>>> -g
>>>>>>>>>>> -O2 -fdebug-prefix-map=/build/r-base-yDv1ct/r-base-3.3.3=.
>>>>>>>>>>> -fstack-protector-strong -Wformat -Werror=format-security
>>>>>>>>>>> -Wdate-time
>>>>>>>>>>> -D_FORTIFY_SOURCE=2 -g  -c OGR_write.cpp -o OGR_write.o
>>>>>>>>>>> In file included from /usr/include/gdal/ogr_feature.h:35:0,
>>>>>>>>>>>                  from /usr/include/gdal/ogrsf_frmts.h:35,
>>>>>>>>>>>                  from OGR_write.cpp:2:
>>>>>>>>>>> /usr/include/gdal/ogr_featurestyle.h:264:17: warning: override
>>>>>>>>>>> controls (override/final) only available with -std=c++11 or
>>>>>>>>>>> -std=gnu++11
>>>>>>>>>>>      GBool Parse() CPL_OVERRIDE;
>>>>>>>>>>>
>>>>>>>>>>> I'm totally clueless...
>>>>>>>>>>>
>>>>>>>>>>> Agus
>>>>>>>>>>>
>>>>>>>>>>> On Fri, Sep 8, 2017 at 4:00 PM, Roger Bivand <[hidden email]>
>>>>>>>>>>> wrote:
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> Please use the command line: R CMD INSTALL <tarball>  and pipe
>>>>>>>>>>>> the
>>>>>>>>>>>> output (tee) 2>&1 to a file. Please do not post the file, read it
>>>>>>>>>>>> to
>>>>>>>>>>>> find
>>>>>>>>>>>> the root cause. Almost certainly the installed GDAL ha different
>>>>>>>>>>>> assumptions
>>>>>>>>>>>> about the g++ compiler than R itself, so you may need to install
>>>>>>>>>>>> GDAL
>>>>>>>>>>>> and R
>>>>>>>>>>>> from source. There have been unclear reports of issues with
>>>>>>>>>>>> -std=.
>>>>>>>>>>>>
>>>>>>>>>>>> Hope this helps,
>>>>>>>>>>>>
>>>>>>>>>>>> Roger
>>>>>>>>>>>>
>>>>>>>>>>>> Roger Bivand
>>>>>>>>>>>> Norwegian School of Economics
>>>>>>>>>>>> Bergen, Norway
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> Fra: Agustin Lobo
>>>>>>>>>>>> Sendt: fredag 8. september, 14.49
>>>>>>>>>>>> Emne: [R-sig-Geo] Errors at installing rgdal on Debian Buster
>>>>>>>>>>>> Til: r-sig-geo
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> I get lots of errors at installing rgdal on a recently upgraded
>>>>>>>>>>>> machine
>>>>>>>>>>>> to Debian Buster and R3.3.3 There are so many errors that I
>>>>>>>>>>>> cannot
>>>>>>>>>>>> scroll up
>>>>>>>>>>>> enough as to get where the errors actually start and report. Is
>>>>>>>>>>>> there
>>>>>>>>>>>> any
>>>>>>>>>>>> way to save the output of install.packages("rgdal") ? Any other
>>>>>>>>>>>> reports on
>>>>>>>>>>>> problems installing rgdal on Debian Buster ? Thanks Agus
>>>>>>>>>>>> _______________________________________________ R-sig-Geo mailing
>>>>>>>>>>>> list
>>>>>>>>>>>> [hidden email]
>>>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>>         [[alternative HTML version deleted]]
>>>>>>>>>>>>
>>>>>>>>>>>> _______________________________________________
>>>>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>>>>> [hidden email]
>>>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>> _______________________________________________
>>>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>>>> [hidden email]
>>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> --
>>>>>>>>>> Edzer Pebesma
>>>>>>>>>> Institute for Geoinformatics  (ifgi),  University of Münster
>>>>>>>>>> Heisenbergstraße 2, 48149 Münster, Germany; +49 251 83 33081
>>>>>>>>>> Journal of Statistical Software:   http://www.jstatsoft.org/
>>>>>>>>>> Computers & Geosciences:   http://elsevier.com/locate/cageo/
>>>>>>>>>>
>>>>>>>>>>
>>>>>>>>>> _______________________________________________
>>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>>> [hidden email]
>>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> R-sig-Geo mailing list
>>>>>>>>> [hidden email]
>>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> --
>>>>>>>> Roger Bivand
>>>>>>>> Department of Economics, Norwegian School of Economics,
>>>>>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>>>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>>>>>> Editor-in-Chief of The R Journal,
>>>>>>>> https://journal.r-project.org/index.html
>>>>>>>> http://orcid.org/0000-0003-2392-6140
>>>>>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>>>>> _______________________________________________
>>>>>>>> R-sig-Geo mailing list
>>>>>>>> [hidden email]
>>>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>
>>>>>> --
>>>>>> Roger Bivand
>>>>>> Department of Economics, Norwegian School of Economics,
>>>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>>>> Editor-in-Chief of The R Journal,
>>>>>> https://journal.r-project.org/index.html
>>>>>> http://orcid.org/0000-0003-2392-6140
>>>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>>>
>>>>>> _______________________________________________
>>>>>> R-sig-Geo mailing list
>>>>>> [hidden email]
>>>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>>>
>>>>>
>>>>>
>>>>
>>>> --
>>>> Roger Bivand
>>>> Department of Economics, Norwegian School of Economics,
>>>> Helleveien 30, N-5045 Bergen, Norway.
>>>> voice: +47 55 95 93 55; e-mail: [hidden email]
>>>> Editor-in-Chief of The R Journal,
>>>> https://journal.r-project.org/index.html
>>>> http://orcid.org/0000-0003-2392-6140
>>>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>>>
>>>
>>
>> --
>> Roger Bivand
>> Department of Economics, Norwegian School of Economics,
>> Helleveien 30, N-5045 Bergen, Norway.
>> voice: +47 55 95 93 55; e-mail: [hidden email]
>> Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
>> http://orcid.org/0000-0003-2392-6140
>> https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
--
Roger Bivand
Department of Economics, Norwegian School of Economics,
Helleveien 30, N-5045 Bergen, Norway.
voice: +47 55 95 93 55; e-mail: [hidden email]
Editor-in-Chief of The R Journal, https://journal.r-project.org/index.html
http://orcid.org/0000-0003-2392-6140
https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway